Skip to main content
Resource Center/Resource Pool/VM Scheduling Rule Group Operations

DetachHostFromHostSchedulingRuleGroup

DetachHostFromHostSchedulingRuleGroup

DELETE/zstack/v1/hostSchedulingRuleGroup/{hostGroupUuid}/host

Operation ID

DetachHostFromHostSchedulingRuleGroup

Since

4.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • hostGroupUuid
    StringRequired

    The UUID of the host scheduling group.

Body Fields

  • hostUuid
    StringRequired

    The host UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}